%global debug_package %{nil}
%global shortname texlive
%global source_date 20230531
%global _texdir %{_datadir}/%{shortname}

Summary: Determine and mark up significant differences between latex files
Name: %{shortname}-latexdiff
Version: 1.3.5
Release: 8.fc42
Epoch: 11
License: GPLv3+

URL: https://github.com/ftilmann/latexdiff/
Source: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexdiff-%{version}.tar.gz

Provides: tex-latexdiff = %{epoch}:%{source_date}-%{release}
Provides: texlive-latexdiff-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-latexdiff-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-latexdiff-doc = %{epoch}:%{source_date}-%{release}
Requires: texlive-base
Requires: texlive-kpathsea
# perl
BuildArch: noarch

%description
Latexdiff is a Perl script for visual mark up and revision of
significant differences between two LaTeX files. Various
options are available for visual markup using standard LaTeX
packages such as color. Changes not directly affecting visible
text, for example in formatting commands, are still marked in
the LaTeX source. A rudimentary revision facilility is provided
by another Perl script, latexrevise, which accepts or rejects
all changes. Manual editing of the difference file can be used
to override this default behaviour and accept or reject
selected changes only.

%prep
%setup -q -n latexdiff-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}/man1
cp -p latexrevise latexdiff-{vc,so,fast} %{buildroot}/%{_bindir}
ln -s latexdiff-fast %{buildroot}/%{_bindir}/latexdiff
cp -p latex{diff,diff-vc,revise}.1 %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root,-)
%doc doc/* COPYING
%{_mandir}/man1/latexdiff.1*
%{_mandir}/man1/latexdiff-vc.1*
%{_mandir}/man1/latexrevise.1*
%{_bindir}/latexdiff
%{_bindir}/latexdiff-fast
%{_bindir}/latexdiff-so
%{_bindir}/latexdiff-vc
%{_bindir}/latexrevise
#%{_texdir}/texmf-dist/scripts/latexdiff/
#%doc %{_texdir}/texmf-dist/doc/support/latexdiff/

%changelog
